# Class CIM_ClassIndication
extends CIM_Indication

CIM_ClassIndication is an abstract superclass describing changes in the definition of the schema. Subclasses represent specific types of change notifications, such as class creation, deletion and modification.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_ClassIndication

## Direct Known Subclasses

CIM_ClassCreation
CIM_ClassDeletion
CIM_ClassModification

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | CIM_ClassIndication is an abstract superclass describing changes in the definition of the schema. Subclasses represent specific types of change notifications, such as class creation, deletion and modification.
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ClassDefinition | string |
Description | string | The current definition of the class that is created, changed or deleted in the schema. In the case of a CIM_ClassDeletion Indication, the definition for the class just prior to deletion should be placed in this property.
EmbeddedObject | boolean | true
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
OtherSeverity | string | CIM_Indication
PerceivedSeverity | uint16 | CIM_Indication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
CorrelatedIndications | string[] | CIM_Indication

## Class Methods